Skip to main content
GET
/
v1
/
analytics
/
daily
Daily activity
curl --request GET \
  --url https://api.botdog.io/v1/analytics/daily \
  --header 'x-api-key: <api-key>'
{
  "startDate": "2026-03-16",
  "endDate": "2026-03-22",
  "data": [
    {
      "date": "2026-03-19",
      "invitationsSent": 142,
      "invitationsAccepted": 16,
      "messagesSent": 16,
      "messagesReplied": 1
    }
  ],
  "totals": {
    "invitationsSent": 677,
    "invitationsAccepted": 92,
    "messagesSent": 92,
    "messagesReplied": 4,
    "invitationAcceptanceRate": 13.6,
    "messageReplyRate": 4.3
  }
}

Authorizations

x-api-key
string
header
default:bd_live_your_key_here
required

Query Parameters

startDate
string
required

Start of the date range (YYYY-MM-DD)

Example:

"2026-03-16"

endDate
string
required

End of the date range (YYYY-MM-DD)

Example:

"2026-03-22"

userId
string

Filter to a specific user

campaignId
string

Filter to a specific campaign

Response

Daily activity data with totals

startDate
string
required
Example:

"2026-03-16"

endDate
string
required
Example:

"2026-03-22"

data
object[]
required
totals
object
required